Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.rolling
Class RolloverDescriptionImpl

    java.lang.Object
      org.apache.logging.log4j.core.appender.rolling.RolloverDescriptionImpl

All Implemented Interfaces:
  RolloverDescription

    public final class RolloverDescriptionImpl

extends Object
implements RolloverDescription

Description of actions needed to complete rollover.

Constructor Summary
`RolloverDescriptionImpl(String activeFileName, boolean append, Action synchronous, Action asynchronous)` Create new instance.

Method Summary
`String` | `getActiveFileName()` Active log file name after rollover.
`boolean` | `getAppend()` Specifies if active file should be opened for appending.
`Action` | `getAsynchronous()` Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.
`Action` | `getSynchronous()` Action to be completed after close of current active log file before returning control to caller.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RolloverDescriptionImpl

    public RolloverDescriptionImpl(String activeFileName,
                                   boolean append,
                                   Action synchronous,
                                   Action asynchronous)

  Create new instance.

  Parameters:
    `activeFileName` - active log file name after rollover, may not be null.
    `append` - true if active log file after rollover should be opened for appending.
    `synchronous` - action to be completed after close of current active log file, may be null.
    `asynchronous` - action to be completed after close of current active log file and before next rollover attempt.

Method Detail

### getActiveFileName

    public String getActiveFileName()

  Active log file name after rollover.

  Specified by:
    `getActiveFileName` in interface `RolloverDescription`
  Returns:
    active log file name after rollover.

### getAppend

    public boolean getAppend()

  Specifies if active file should be opened for appending.

  Specified by:
    `getAppend` in interface `RolloverDescription`
  Returns:
    if true, active file should be opened for appending.

### getSynchronous

    public Action getSynchronous()

  Action to be completed after close of current active log file before returning control to caller.

  Specified by:
    `getSynchronous` in interface `RolloverDescription`
  Returns:
    action, may be null.

### getAsynchronous

    public Action getAsynchronous()

  Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.

  Specified by:
    `getAsynchronous` in interface `RolloverDescription`
  Returns:
    action, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.